org.icefaces.ace.event

## Class DataTableFindEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.BehaviorEvent
      - - javax.faces.event.AjaxBehaviorEvent
        - - org.icefaces.ace.event.DataTableFindEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class DataTableFindEvent
      extends javax.faces.event.AjaxBehaviorEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableFindEvent(javax.faces.event.AjaxBehaviorEvent event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `findRow(java.lang.String query, java.lang.String[] fields, int startRow)`
    `int` | `findRow(java.lang.String query, java.lang.String[] fields, int startRow, DataTable.SearchType searchType)`
    `int` | `findRow(java.lang.String query, java.lang.String[] fields, int startRow, DataTable.SearchType searchType, boolean caseSensitive)`
    `DataTable` | `getDataTable()`

    - ### Methods inherited from class javax.faces.event.AjaxBehaviorEvent

      `isAppropriateListener, processListener`

    - ### Methods inherited from class javax.faces.event.BehaviorEvent

      `getBehavior`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableFindEvent

          public DataTableFindEvent(javax.faces.event.AjaxBehaviorEvent event)

  - ### Method Detail

    - #### getDataTable

          public DataTable getDataTable()

    - #### findRow

          public int findRow(java.lang.String query,
                             java.lang.String[] fields,
                             int startRow,
                             DataTable.SearchType searchType,
                             boolean caseSensitive)

    - #### findRow

          public int findRow(java.lang.String query,
                             java.lang.String[] fields,
                             int startRow,
                             DataTable.SearchType searchType)

    - #### findRow

          public int findRow(java.lang.String query,
                             java.lang.String[] fields,
                             int startRow)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.